For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
      • AstroFully-managed data operations, powered by Apache Airflow.
      • Astro Private CloudRun Airflow-as-a-service in your environment.
      • Professional ServicesExpert Airflow services for your enterprise's success.
    • Tools
      • Cosmos
      • Orbiter
      • CLI
      • AI SDK
      • Agents
      • Blueprint
      • UpdatesThe State of Airflow 2026See the insights from over 5,800 data practitioners in the full report. Download Now ➔
  • Customers
  • Docs
    • Insights
      • Blog
      • Webinars
      • Resource Library
      • Events
    • Education
      • Academy
      • What is Airflow?
  • Pricing
Get Started Free
  • Astro API v1
    • Overview
    • Get started
    • Versioning and support
    • Migrate to v1
    • Deploy with the API
  • API Reference
      • GETGet current user
      • GETGet user information
      • GETList teams for a user
      • GETList users in an Organization
      • POSTUpdate a user's roles
    • Changelog
    • Book Office Hours

Product

  • Platform Overview
  • Astro
  • Astro Observe
  • Astro Private Cloud
  • Security & Trust
  • Pricing

Tools & Services

  • Cosmos
  • Docs
  • Professional Services
  • Product Updates

Use Cases

  • AI Ops
  • Data Observability
  • ETL/ELT
  • ML Ops
  • Operational Analytics
  • All Use Cases

Industries

  • Financial Services
  • Gaming
  • Retail
  • Manufacturing
  • Healthcare
  • All Industries

Resources

  • Academy
  • eBooks & Guides
  • Blog
  • Webinars
  • Events
  • The Data Flowcast Podcast
  • All Resources

Airflow

  • What is Airflow
  • Airflow on Astro
  • Airflow 3.0
  • Airflow Upgrades
  • Airflow Use Cases
  • Airflow 2.x End of Life

Company

  • Our Story
  • Customers
  • Newsroom
  • Careers
  • Contact

Support

  • Knowledge Base
  • Status
  • Contact Support
GitHubYouTubeLinkedInx
  • Legal
  • Privacy
  • Terms of Service
  • Consent Preferences

  • Do Not Sell or Share My Personal information
  • Limit the Use Of My Sensitive Personal Information

Apache Airflow®, Airflow, and the Airflow logo are trademarks of the Apache Software Foundation. Copyright © Astronomer 2026. All rights reserved.

LogoLogo
API ReferenceUser

Get current user

GET
https://api.astronomer.io/v1/users/self
GET
/v1/users/self
$curl https://api.astronomer.io/v1/users/self \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1{
2 "avatarUrl": "https://cdn.astronomer.io/avatars/janedoe.png",
3 "createdAt": "2023-11-20T14:22:00Z",
4 "fullName": "Jane Doe",
5 "id": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890",
6 "status": "ACTIVE",
7 "updatedAt": "2024-04-10T08:15:30Z",
8 "username": "janedoe",
9 "featureFlags": [
10 {
11 "key": "betaAccess",
12 "value": true
13 },
14 {
15 "key": "darkMode",
16 "value": false
17 }
18 ],
19 "invites": [
20 {
21 "expiresAt": "2024-07-01T00:00:00Z",
22 "inviteId": "inv-1234567890abcdef",
23 "organizationId": "org-0987654321fedcba"
24 }
25 ],
26 "isIdpManaged": false,
27 "organizationId": "org-0987654321fedcba",
28 "roles": [
29 {
30 "role": "Admin",
31 "scope": {
32 "entityId": "org-0987654321fedcba",
33 "type": "ORGANIZATION",
34 "dagTag": null,
35 "deploymentId": null
36 }
37 },
38 {
39 "role": "Viewer",
40 "scope": {
41 "entityId": "ws-5678efgh1234abcd",
42 "type": "WORKSPACE",
43 "dagTag": "data-pipelines",
44 "deploymentId": "dep-1234abcd5678efgh"
45 }
46 }
47 ]
48}
Get the authenticated user's profile and roles.
Was this page helpful?
Previous

Get user information

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

createIfNotExistbooleanOptional
Create the user if they don't already exist.

Response

OK
avatarUrlstring
The URL for the user's profile image.
createdAtstringformat: "date-time"
The time when the user was created.
fullNamestring
The user's full name.
idstring
The user's ID.
statusenum
The user's status.
Allowed values:
updatedAtstringformat: "date-time"
The time when the user was last updated.
usernamestring
The user's username.
featureFlagslist of objects
The user's feature flags.
inviteslist of objects
The user's pending Organization invites.
isIdpManagedboolean
Whether the user is managed by an identity provider.
organizationIdstring
The user's primary Organization ID.
roleslist of objects
The user's roles across all scopes.

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error